Bug 44454 - Barcode extension fails to work in 3.5
Summary: Barcode extension fails to work in 3.5
Status: RESOLVED NOTOURBUG
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Extensions (show other bugs)
Version:
(earliest affected)
3.5.0 Beta0
Hardware: x86 (IA32) All
: medium normal
Assignee: Not Assigned
URL: http://extensions.libreoffice.org/ext...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-04 10:22 UTC by Alex Thurgood
Modified: 2014-08-11 16:20 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Thurgood 2012-01-04 10:22:20 UTC

    
Comment 1 Alex Thurgood 2012-01-04 10:24:05 UTC
The barcode extension no longer appears to be registered correctly, as per the view in the Extensions Manager interface.


Alex
Comment 2 Alex Thurgood 2012-02-23 22:22:26 UTC
Confirming also on Mac. Setting Platfrom to all.

OSX 10.6.8


Alex
Comment 3 retired 2013-09-22 09:06:52 UTC
Alex: Could you please provide some more info? Link to the plugin, is this plug in included in the LO extension page?

Otherwise this is hard to test / fix.
Comment 4 ign_christian 2013-09-23 05:45:39 UTC
I guess this:
http://extensions.libreoffice.org/extension-center/barcode

That extension looks like still in beta release.
Comment 5 Alex Thurgood 2013-09-23 19:55:08 UTC
This has now been confirmed by a user on the French users mailing list. Changing status.
Comment 6 Alex Thurgood 2013-09-23 20:00:02 UTC
The extension is part of the git repo for building LO, using the switch :

--enable-ext-barcode

it can be built, but fails to register correctly as a functioning component.

The fact of the matter is that the extension used to work correctly (as attested by the user on the French mailing list).
Comment 7 retired 2013-09-23 20:12:43 UTC
LO 3.4 and 3.5 are both outdated versions and that is what this beta of the extension is said to be compatible with.

Since all latest stable LO versions are 4.x this might be "notourbug"? Not sure if it is on LOs part to fix something. If this plugin shows compatibility with LO 4.x and still does not work maybe it should be something that LO needs to fix.

Currently tend to "NOTOURBUG".
Comment 8 Alex Thurgood 2013-09-23 21:02:09 UTC
Why do we have it in our git tree, if we are not prepared to care for it? It would be better in that case just to remove it and the build switch from our autogen.sh
Comment 9 retired 2014-08-11 16:20:31 UTC
dead and gone. extension should probably be delisted.